Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228390 - multi-lib conflicts
Summary: multi-lib conflicts
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: uudeview
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Reber
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE7Target
TreeView+ depends on / blocked
 
Reported: 2007-02-12 20:34 UTC by Michael Schwendt
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-14 13:37:29 UTC


Attachments (Terms of Use)

Description Michael Schwendt 2007-02-12 20:34:34 UTC
uulib - 0.5.20-10.x86_64
  Conflicts: 1
  File conflict in:
     /usr/share/doc/uulib-0.5.20/library.pdf
  Packages with the same files:
     uulib - 0.5.20-10.i386

Comment 1 Adrian Reber 2007-02-12 20:49:56 UTC
any hint how this can be fixed? because I have no idea...

Comment 2 Michael Schwendt 2007-02-12 21:44:25 UTC
I have ideas.

Option 1) Kill the main package and include all files in "uulib-devel",
because this package contains only a static library with headers and
is not needed at run-time at all. Hence it is not a real multi-lib
package anyway, but a devel-only package. There is no requirement for
-devel packages to be free of conflicts in multi-lib installations
(headers may include arch-dependent definitions, for example).

Option 2) An ugly cheat: /usr/share/doc/uulib-0.5.20/%{arch}/library.pdf


Comment 3 Adrian Reber 2007-02-14 13:37:29 UTC
Thanks! I have taken option 1.


Note You need to log in before you can comment on or make changes to this bug.